window.Gleam.initSearch([{"doc":"morsey","title":"morsey","content":"# Morsey\n\nA package for encoding and decoding Morse code in Gleam.\n\n[![Package Version](https://img.shields.io/hexpm/v/morsey)](https://hex.pm/packages/morsey)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/morsey/)\n\n\n## Usage\n\n### Encode\n\n```gleam\nimport gleam/io\nimport morsey\n\nlet text = &quot;Hello world!&quot;\ncase morsey.encode(text) {\n  Ok(symbols) -&gt;\n    io.println(&quot;The Morse code for &quot; &lt;&gt; text &lt;&gt; &quot; is &quot; &lt;&gt; to_string(symbols))\n  Error(morsey.InvalidCharacter(char)) -&gt;\n    io.println_error(&quot;Invalid character: &quot; &lt;&gt; char)\n}\n```\n\n### Decode\n\n```gleam\nimport gleam/io\nimport morsey\n\n&quot;.... . .-.. .-.. --- / .-- --- .-. .-.. -.. -.-.--&quot;\n|&gt; morsey.from_string\n|&gt; morsey.decode\n|&gt; io.println\n```\n\n## Development\n\n```sh\ngleam run   # Run the project\ngleam test  # Run the tests\n```\n","url":"index.html"},{"doc":"morsey","title":"Char","content":"pub type Char {\n  Dot\n  Comma\n  Space\n  Break\n  Invalid(String)\n}\n\nDot\n\n\nComma\n\n\nSpace\n\n\nBreak\n\n\nInvalid(String)\n\n\nSynonyms:\nmorsey.Char\nmorsey Char","url":"morsey.html#Char"},{"doc":"morsey","title":"EncodeError","content":"pub type EncodeError {\n  InvalidCharacter(String)\n}\n\nInvalidCharacter(String)\n\n\nSynonyms:\nmorsey.EncodeError\nmorsey EncodeError","url":"morsey.html#EncodeError"},{"doc":"morsey","title":"decode","content":"pub fn decode(symbols: List(Char)) -&gt; String\n\nSynonyms:\nmorsey.decode\nmorsey decode","url":"morsey.html#decode"},{"doc":"morsey","title":"encode","content":"pub fn encode(text: String) -&gt; Result(List(Char), EncodeError)\n\nSynonyms:\nmorsey.encode\nmorsey encode","url":"morsey.html#encode"},{"doc":"morsey","title":"from_string","content":"pub fn from_string(text: String) -&gt; List(Char)\n\nSynonyms:\nmorsey.from_string\nmorsey from_string","url":"morsey.html#from_string"},{"doc":"morsey","title":"main","content":"pub fn main() -&gt; Nil\n\nSynonyms:\nmorsey.main\nmorsey main","url":"morsey.html#main"},{"doc":"morsey","title":"to_string","content":"pub fn to_string(encoded: List(Char)) -&gt; String\n\nSynonyms:\nmorsey.to_string\nmorsey to_string","url":"morsey.html#to_string"},{"doc":"morsey","title":"morsey","content":"","url":"morsey.html"}]);